rpm 4.19.1.1 The RPM Package Manager

Loading...
Searching...
No Matches
Macros | Typedefs | Enumerations | Functions | Variables
rpmfc.h File Reference
File Classification API. | Building & signing packages: » Build API.
`#include <rpm/rpmtypes.h>`
`#include <rpm/argv.h>`
`#include <rpm/rpmspec.h>`

Go to the source code of this file.

## Macros
#define | RPMFC_ELF (RPMFC_ELF32|RPMFC_ELF64|RPMFC_ELFMIPSN32)

## Typedefs
typedef struct rpmfc_s * | rpmfc
typedef rpmFlags | FCOLOR_t
typedef const struct rpmfcTokens_s * | rpmfcToken

## Enumerations
enum | FCOLOR_e { RPMFC_BLACK = 0 , RPMFC_ELF32 = (1 << 0) , RPMFC_ELF64 = (1 << 1) , RPMFC_ELFMIPSN32 = (1 << 2) , RPMFC_WHITE = (1 << 29) , RPMFC_INCLUDE = (1 << 30) , RPMFC_ERROR = (1 << 31) }

## Functions
void | rpmfcPrint (const char *msg, rpmfc fc, FILE *fp)
rpmfc | rpmfcFree (rpmfc fc)
rpmfc | rpmfcCreate (const char *rootDir, rpmFlags flags)
rpmRC | rpmfcClassify (rpmfc fc, ARGV_t argv, rpm_mode_t *fmode)
rpmRC | rpmfcApply (rpmfc fc)
rpmds | rpmfcProvides (rpmfc fc)
rpmds | rpmfcRequires (rpmfc fc)
rpmds | rpmfcRecommends (rpmfc fc)
rpmds | rpmfcSuggests (rpmfc fc)
rpmds | rpmfcSupplements (rpmfc fc)
rpmds | rpmfcEnhances (rpmfc fc)
rpmds | rpmfcConflicts (rpmfc fc)
rpmds | rpmfcObsoletes (rpmfc fc)
rpmds | rpmfcOrderWithRequires (rpmfc fc)
rpmds | rpmfcDependencies (rpmfc fc, rpmTagVal tagN)

## Variables
int | _rpmfc_debug

## Detailed Description

Structures and methods for build-time file classification.

## Macro Definition Documentation

## ◆ RPMFC_ELF

#define RPMFC_ELF (RPMFC_ELF32|RPMFC_ELF64|RPMFC_ELFMIPSN32)

(1 << 3) leaks into package headers, reserved

## Variable Documentation

## ◆ _rpmfc_debug

int _rpmfc_debug
| extern

Private.